#/usr/bin/python
"""Copyright (C) 2009  Kristof Bamps

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
from distutils.core import setup
from os import path
import sys

DATA_DIR =  path.join('share')
PIXMAPS_DIR = path.join(DATA_DIR , 'pixmaps')
APP_DIR = path.join(DATA_DIR , 'applications')

setup(
    name='grnotify',
    version='1.1.2',
    author='Kristof Bamps',
    author_email='bamps DOT kristof AT gmail.com',
    url='https://sourceforge.net/projects/grnotify/',
    license='GPLv2+',
    description='A Google Reader in python',
    platforms='Any',
    py_modules=['GoogleReader'],
    scripts=['grnotify'],
    data_files=[
        (PIXMAPS_DIR + "/grnotify",
                ['pixmaps/broken.gif', 'pixmaps/new.gif', 'pixmaps/nonew.gif']),
        (PIXMAPS_DIR, 
                ['pixmaps/grnotify.xpm']),
        (DATA_DIR + "/grnotify",
                ['share/about.glade', 'share/config.glade', 'share/feed.glade']),
        (APP_DIR,
                ['share/grnotify.desktop'])
    ]
)
